"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var config_1 = require("../config");
var UserCtrl = (function () {
    function UserCtrl(router) {
        router.route('/user/authorize').get(this.authorize);
        router.route('/user/current').get(this.current);
        router.route('/user/can').get(this.can);
    }
    // please rewrite this function to support your own authorization logic
    UserCtrl.prototype.authorize = function (req, res) {
        if (req.query.name) {
            req.session.username = req.query.name;
            config_1.CheckAdmin(req.session.username, function (isAdmin) {
                req.session.isAdmin = isAdmin;
                if (req.query.url) {
                    res.redirect(req.query.url);
                }
                else {
                    res.redirect('/');
                }
            });
        }
        else {
            res.status(401).send('Unauthorized');
        }
    };
    UserCtrl.prototype.current = function (req, res) {
        res.json(req.session.username || 'Guest');
    };
    UserCtrl.prototype.can = function (req, res) {
        res.json(req.session.isAdmin ? true : false);
    };
    return UserCtrl;
}());
exports.UserCtrl = UserCtrl;
//# sourceMappingURL=user.js.map
